#ifndef __UTILS_H
#define __UTILS_H

#include "types.h"

int strncmp(const char *cs, const char *ct, size_t count);
void * memcpy(void *dest, const void *src, size_t count);
void * memset(void *s, int c, size_t count);
void * memmove(void *dest, const void *src, size_t count);

unsigned short ntohs(unsigned short s);
unsigned long ntohl(unsigned long l);
unsigned short htons(unsigned short s);
unsigned long htonl(unsigned long l);

unsigned long strtoul(char *s, char **endptr, int radix);

#endif /* __UTILS_H */
